<template>
  <div ref="componentRef" />
</template>

<script lang="ts" setup>
import { onMounted, ref } from 'vue';

const componentRef = ref(null);

const renderVueComponent = (await import('ui_vue/renderVueComponent')).default;
const HelloWorldFromVue = (await import('ui_vue/HelloWorld')).default;

onMounted(() => {
  renderVueComponent(componentRef.value, HelloWorldFromVue);
});
</script>
